Generate images
curl --request POST \
--url https://api.naga.ac/v1/images/generations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "<string>",
"prompt": "<string>"
}
'import requests
url = "https://api.naga.ac/v1/images/generations"
payload = {
"model": "<string>",
"prompt": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({model: '<string>', prompt: '<string>'})
};
fetch('https://api.naga.ac/v1/images/generations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created": 123,
"data": [
{
"url": "<string>",
"b64_json": "<string>"
}
],
"usage": {
"output_tokens": 123,
"total_tokens": 123,
"input_tokens": 123
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"error": {
"type": "<string>",
"message": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"code": "<string>",
"param": "<string>"
}
}Images
Generate images
Create one or more images from a text prompt.
POST
/
v1
/
images
/
generations
Generate images
Authorizations
bearerAuthxApiKeyAuth
Primary authentication for inference endpoints. Send your Naga API key as Authorization: Bearer <api-key>.
Body
application/json
Image generation model identifier.
Example:
"gpt-image-1"
Prompt describing the image to generate.
Required string length:
1 - 8192Required range:
x >= 1Available options:
url, b64_json ⌘I